add_to_series {DiagrammeR} | R Documentation

## Add graph object to a graph series object

### Description

Add a graph object to an extant graph series object for storage of multiple graphs across a sequential or temporal one-dimensional array.

### Usage

    add_to_series(graph, graph_series)

### Arguments

`graph` | a graph object to add to the graph series object.
`graph_series` | a graph series object to which the graph object will be added.

### Value

a graph series object of type `dgr_graph_1D`.

### Examples

    ## Not run:
    # Create three graphs (using \code{pipeR} for speed)
    # and create a graph series using those graphs
    library(magrittr)

    graph_1 <- create_graph() %>%
      add_node("a") %>% add_node("b") %>% add_node("c") %>%
      add_edge("a", "c") %>% add_edge("a", "b") %>% add_edge("b", "c")

    graph_2 <- graph_1 %>%
      add_node("d") %>% add_edge("d", "c")

    graph_3 <- graph_2 %>%
      add_node("e") %>% add_edge("e", "b")

    # Create an empty graph series
    series <- create_series(series_type = "sequential")

    # Add graphs to the graph series
    series <- graph_1 %>% add_to_series(series)
    series <- graph_2 %>% add_to_series(series)
    series <- graph_3 %>% add_to_series(series)

    ## End(Not run)

[Package DiagrammeR version 0.8.2 Index]